extend("fiskheroes:hero_basic");
loadTextures({
	"layer1": "tgheroes:russia/bucky_layer1",
	"layer2": "tgheroes:russia/bucky_layer2"
});
var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
	initEquipped(renderer);	
}

function initEquipped(renderer) {

    renderer.bindProperty("fiskheroes:equipped_item").setItems([
        { "anchor": "rightLeg", "scale": 0.7, "offset": [-2.4, 0.5, 1.25], "rotation": [90.0, 0.0, 0.0] }
    ]);
}

function initAnimations(renderer) {
    parent.initAnimations(renderer);
    renderer.removeCustomAnimation("basic.BLOCKING");
    addAnimationWithData(renderer, "basic.BLOCKING", "tgheroes:block_leftarm", "fiskheroes:shield_blocking_timer")
        .priority = -5;    
}